

    import java.io.FileNotFoundException;
    import java.io.FileReader;
    import java.io.FileWriter;
    import java.io.IOException;
    import java.util.Properties;

    public class Configuracion {
    	private static String direccion=".config";
    	
    	/**
    	 * Guarda la configuracion
    	 * 
    	 * @param passwd	contrasenia a guardar en la configuracion
    	 */
    	public static void guardarConfiguracion(String passwd) {
    		Properties configuracion = new Properties();
    		configuracion.setProperty("passwd", passwd);
    		try {
                configuracion.store(new FileWriter(Configuracion.direccion), "Configuracion general");
            } catch (IOException e1) {
                e1.printStackTrace();
            }
    	}
    	
    	/**
    	 * Carga la configuracion del programa
    	 * 
    	 * @return				Configuracion del programa
    	 * @throws IOException	Generalmente por que no hay un fichero de configuracion	
    	 */
    	public static String cargarConfiguracion() throws IOException {
    		Properties configuracion = new Properties();
    		//"jdbc:mariadb://localhost:3306/gestionGastos?user=root&password=1234"
    		String ret = "jdbc:mariadb://localhost:3306/gestionGastos?user=root&password=";
    		configuracion.load(new FileReader(Configuracion.direccion));
			ret+=configuracion.getProperty("passwd");
    		
    		return ret;
    		
    	}
    	
    }
